var timeOuts = Array();
timeOuts[0] = 13;
timeOuts[1] = 13;
var frameIntervalId = null;
var timeout = null;
var switcherIndex = 0;

function enterLogState(){
	clearTimeout( timeout );
	clearInterval( frameIntervalId )
}

function getPagesCount(){
	return 2;
}
function slideMove( index ){
	switcherIndex = index;
	showeSlideAnimation( switcherIndex );
	changeFramePosition();
	clearTimeout( timeout );
	$( '.frame-container' ).eq( index ).find( '.frame' ).removeClass( 'show-frame' );
	$( '.frame-container' ).eq( index ).find( '.frame' ).eq( 0 ).addClass( 'show-frame' );
	timeout = setTimeout( "clearInterval(frameIntervalId);controller.selectPage_(" + (index + 1) + ");", timeOuts[index] * 1000 );
}
/*
 *
 *
 * Animation: slide animation
 *
 */
var showeSlideAnimation = function ( index ){
	var slideTime = timeOuts[index],
		indexInt = parseInt( index ),
		slideName = '',
		frameShowTime,
		slideFrameContainer = [],
		frameCount = 1;
	var timerIdDescriptionHide

	switch ( indexInt ) {
		case 0:
			slideName = ".first-slide";
			break;
		case 1:
			slideName = ".second-slide";
			break;
		case 2:
			slideName = ".third-slide";
			break;
		case 3:
			slideName = ".fourth-slide";
			break;
		case 4:
			slideName = ".fifth-slide";
			break;
		case 5:
			slideName = ".sixth-slide";
			break;
		default:
			slideName = "not defined"
			break;
	}

	$( '.frame-container' ).css( {'display': 'none'} );
	$( slideName ).css( {'display': 'block'} );
	$( '.frame' ).removeClass( 'show-frame' )
	$( slideFrameContainer[0] ).addClass( 'show-frame' )

	slideFrameContainer = $( slideName ).find( '.frame' );

    frameShowTime = (slideTime / slideFrameContainer.length) * 1000;

	$( '.slide-description' ).removeClass( 'hide-description' ).removeClass( 'show-description' );
	$( slideName + '-description' ).addClass( 'show-description' );
	$( '.slide-description' ).not( slideName + '-description' ).addClass( 'hide-description' );
	frameContainerSize();
	changeFramePosition();

	if ( indexInt == 0 ) {
		TweenMax.killAll( false, true, false );
		TweenMax.to( $( '.first-slide .a2-frame' ), 0.5, {css: {opacity: 1}, ease: Quint.easeOut, delay: 1.8 } );

		TweenMax.to( $( '.first-slide .a2-frame' ), 0.5, {css: {opacity: 0}, ease: Quint.easeOut, delay: 2.3 } );
		TweenMax.to( $( '.first-slide .a3-frame' ), 0.5, {css: {opacity: 1}, ease: Quint.easeOut, delay: 2.3 } );

		TweenMax.to( $( '.first-slide .a2-frame' ), 0.5, {css: {opacity: 0}, ease: Quint.easeOut, delay: 2.8 } );
		TweenMax.to( $( '.first-slide .a3-frame' ), 0.5, {css: {opacity: 0}, ease: Quint.easeOut, delay: 2.8 } );
		TweenMax.to( $( '.first-slide .a4-frame' ), 0.5, {css: {opacity: 1}, ease: Quint.easeOut, delay: 2.8 } );

		TweenMax.to( $( '.first-slide .a2-frame' ), 0.5, {css: {opacity: 0}, ease: Quint.easeOut, delay: 3.3 } );
		TweenMax.to( $( '.first-slide .a3-frame' ), 0.5, {css: {opacity: 0}, ease: Quint.easeOut, delay: 3.3 } );
		TweenMax.to( $( '.first-slide .a4-frame' ), 0.5, {css: {opacity: 0}, ease: Quint.easeOut, delay: 3.3 } );
		TweenMax.to( $( '.first-slide .a5-frame' ), 0.5, {css: {opacity: 1}, ease: Quint.easeOut, delay: 3.3 } );

		TweenMax.to( $( '.first-slide .circle_4' ), 0.5, {css: {opacity: 1}, ease: Quint.easeOut, delay: 1.8 } );
		TweenMax.to( $( '.first-slide .circle_3' ), 0.5, {css: {opacity: 1}, ease: Quint.easeOut, delay: 2.3 } );
		TweenMax.to( $( '.first-slide .circle_1' ), 0.5, {css: {opacity: 1}, ease: Quint.easeOut, delay: 2.8 } );
		TweenMax.to( $( '.first-slide .circle_2' ), 0.5, {css: {opacity: 1}, ease: Quint.easeOut, delay: 3.3 } );

		TweenMax.to( $( '.first-slide-description.show-description' ), 1.6, {css: {top: 0, opacity: 1}, ease: Quint.easeOut, delay: 4 } );
		TweenMax.to( $( '.hide-description' ), 1.1, {css: {top: 100, opacity: 0}, ease: Quint.easeIn, delay: 0 } );
		TweenMax.to( $( '.hide-description' ), 0.2, {css: {top: -100, opacity: 0}, ease: Quint.easeIn, delay: 1.6 } );
	} else {
		$( '.first-slide' ).find( 'img,div,p' ).removeAttr( 'style' );
		changeImageSize();
	}
	if ( indexInt == 1 ) {
		TweenMax.killAll( false, true, false );
		TweenMax.to( $( '.second-slide .a1-frame' ), 0.5, {css: {scale: 0}, ease: Quint.easeOut, delay: 1.5 } );
		TweenMax.to( $( '.second-slide .second-frame' ), 0.5, {css: {scale: 1}, ease: Quint.easeOut, delay: 1.8 } );
		TweenMax.to( $( '.second-slide .circle_1,.second-slide .circle_2,.second-slide .circle_3,.second-slide .circle_4' ), 0.5, {css: {scale: 0}, ease: Quint.easeOut, delay: 1.3 } );

		TweenMax.to( $( '.tick_1' ), 0.5, {css: {scale: 1}, ease: Quint.easeOut, delay: 2.5 } );
		TweenMax.to( $( '.tick_2' ), 0.5, {css: {scale: 1}, ease: Quint.easeOut, delay: 3 } );
		TweenMax.to( $( '.tick_3' ), 0.5, {css: {scale: 1}, ease: Quint.easeOut, delay: 3.5 } );
		TweenMax.to( $( '.tick_4' ), 0.5, {css: {scale: 1}, ease: Quint.easeOut, delay: 4 } );

		TweenMax.to( $( '.second-slide-description.show-description' ), 1.6, {css: {top: 0, opacity: 1}, ease: Quint.easeOut, delay: 4 } );
		TweenMax.to( $( '.hide-description' ), 1.1, {css: {top: 100, opacity: 0}, ease: Quint.easeIn, delay: 0 } );
		TweenMax.to( $( '.hide-description' ), 0.2, {css: {top: -100, opacity: 0}, ease: Quint.easeIn, delay: 1.6 } );
	} else {
		$( '.second-slide' ).find( 'img,div,p' ).removeAttr( 'style' );
		changeImageSize();
	}

	clearInterval( frameIntervalId );

	frameIntervalId = setInterval( function (){
		if ( frameCount == slideFrameContainer.length ) {
			clearInterval( frameIntervalId )
		}
		$( '.frame' ).removeClass( 'show-frame' );
		$( slideFrameContainer[frameCount] ).addClass( 'show-frame' )
		frameCount++;
	}, frameShowTime + 100 )
}
// $(document).ready(function(){
// 	showeSlideAnimation(1);
// 		})