//
//
//
//
var timeOuts = Array();
timeOuts[0] = 11;
timeOuts[1] = 13;
timeOuts[2] = 11;

var frameIntervalId = null;
var timeout = null;
var switcherIndex = 0;

function enterLogState(){
	clearTimeout( timeout );
	clearInterval( frameIntervalId )
}

function getPagesCount(){
	return 3;
}

function slideMove( index ){
	switcherIndex = index;
	showeSlideAnimation( switcherIndex );
	changeFramePosition()
	clearTimeout( timeout );
	$( '.frame-container' ).eq( index ).find( '.frame' ).removeClass( 'show-frame' );
	$( '.frame-container' ).eq( index ).find( '.frame' ).eq( 0 ).addClass( 'show-frame' );
	timeout = setTimeout( "clearInterval(frameIntervalId);controller.selectPage_(" + (index + 1) + ");", timeOuts[index] * 1000 );
}

/******
 *
 *
 * Animation: slide animation
 *
 */



var showeSlideAnimation = function ( index ){
	var slideTime = timeOuts[index],
		indexInt = parseInt( index ),
		slideName = '',
		frameShowTime,
		slideFrameContainer = [],
		frameCount = 1;
	var timerIdDescriptionHide
	switch ( indexInt ) {
		case 0:
			slideName = ".first-slide";
			break;
		case 1:
			slideName = ".second-slide";
			break;
		case 2:
			slideName = ".third-slide";
			break;
		case 3:
			slideName = ".fourth-slide";
			break;
		case 4:
			slideName = ".fifth-slide";
			break;
		case 5:
			slideName = ".sixth-slide";
			break;
		default:
			slideName = "not defined"
			break;
	}

	$( '.frame-container' ).css( {'display': 'none'} );
	$( slideName ).css( {'display': 'block'} );
	$( '.frame' ).removeClass( 'show-frame' );
	slideFrameContainer = $( slideName ).find( '.frame' );
	$( slideFrameContainer[0] ).addClass( 'show-frame' );
	frameShowTime = (slideTime / slideFrameContainer.length) * 1000;

	$( '.slide-description' ).removeClass( 'hide-description' ).removeClass( 'show-description' );
	$( slideName + '-description' ).addClass( 'show-description' );
	$( '.slide-description' ).not( slideName + '-description' ).addClass( 'hide-description' );

	changeFramePosition();

	if ( indexInt === 0 ) {
		TweenMax.killAll( false, true, false );

		TweenMax.to( $( '.first_slide_2_frame_left_gear' ), 1.2, {css: {scale: 1, opacity: 1}, ease: Elastic.easeOut, delay: 3.5 } );

		TweenMax.to( $( '.first_slide_2_right_gear' ), 1.2, {css: {scale: 1, opacity: 1}, ease: Elastic.easeOut, delay: 4 } );

        TweenMax.to( $( '.first_slide_2_frame_paper' ), 1, {css: {scale: 1, opacity: 1}, ease: Elastic.easeOut, delay: 4 } );

		TweenMax.to( $( '.first_slide_4_frame_paper_left_bottom' ), 1.2, {css: {scale: 1, opacity: 1}, ease: Elastic.easeOut, delay: 4.4 } );

		TweenMax.to( $( '.first_slide_4_frame_right_bottom_trash' ), 1.2, {css: {scale: 1, opacity: 1}, ease: Elastic.easeOut, delay: 4.7 } );

		TweenMax.to( $( '.first_slide_4_frame_right_bottom_gear' ), 1.2, {css: {scale: 1, opacity: 1, scale: 1}, ease: Elastic.easeOut, delay: 4.7 } );

		TweenMax.to( $( '.first-slide-description.show-description' ), 1.6, {css: {top: 10, opacity: 1}, ease: Quint.easeOut, delay: 5.5 } );
		TweenMax.to( $( '.hide-description' ), 1.1, {css: {top: 100, opacity: 0}, ease: Quint.easeIn, delay: 0 } );
		TweenMax.to( $( '.hide-description' ), 0.2, {css: {top: -100, opacity: 0}, ease: Quint.easeIn, delay: 1.6 } );

	} else {
		$( '.first-slide' ).find( 'img' ).removeAttr( 'style' );
		changeImageSize();
	}
	if ( indexInt === 1 ) {
		TweenMax.killAll( false, true, false );
		TweenMax.to( $( '.second_slide_2_frame_trash_and_gears_icons' ), 1.2, {css: {scale: 1, opacity: 1}, ease: Elastic.easeOut, delay: 2 } );

		TweenMax.to( $( '.second_slide_3_frame_trash_icons' ), 1.2, {css: {scale: 1, opacity: 1}, ease: Elastic.easeOut, delay: 2 } );

		TweenMax.to( $( '.second_slide_3_frame_lb_cross_icon' ), 1.2, {css: {scale: 1, opacity: 1}, ease: Elastic.easeOut, delay: 2.4 } );

		TweenMax.to( $( '.second_slide_3_frame_lt_little_gear' ), 1.2, {css: {scale: 1, opacity: 1}, ease: Elastic.easeOut, delay: 2.2 } );
		TweenMax.to( $( '.second_slide_3_frame_lt_little_gear' ), 4, {css: {rotation: 360}, ease: Elastic.easeOut, delay: 2.0 } );

		TweenMax.to( $( '.second_slide_3_frame_paper' ), 1.2, {css: {scale: 1, opacity: 1}, ease: Elastic.easeOut, delay: 2.8 } );

		TweenMax.to( $( '.second_slide_3_frame_tears' ), 4, {css: {opacity: 1}, ease: Elastic.easeOut, delay: 3.4 } );

		TweenMax.to( $( '.second_slide_3_frame_tears' ), 3, {css: {top: "40%"}, ease: Elastic.easeOut, delay: 3.4 } );
		TweenMax.to( $( '.second-slide-description.show-description' ), 1.6, {css: {top: 10, opacity: 1}, ease: Quint.easeOut, delay: 4.5 } );
		TweenMax.to( $( '.hide-description' ), 1.1, {css: {top: 100, opacity: 0}, ease: Quint.easeIn, delay: 0 } );
		TweenMax.to( $( '.hide-description' ), 0.2, {css: {top: -100, opacity: 0}, ease: Quint.easeIn, delay: 1.6 } );

	} else {
		$( '.second-slide' ).find( 'img' ).removeAttr( 'style' );
		changeImageSize();
	}
	if ( indexInt === 2 ) {
		TweenMax.killAll( false, true, false );

		TweenMax.to( $( '.third-slide .first_slide_4_frame_paper_left_bottom' ), 0.6, {css: {scale: 0, opacity: 0, left: "-80%"}, ease: Linear.easeNone, delay: 0 } );

		TweenMax.to( $( '.first_slide_4_frame_paper_left_bottom' ), 0.6, {css: {scale: 0, opacity: 0, left: "-80%"}, ease: Linear.easeNone, delay: 0 } );

		TweenMax.to( $( '.third-slide-3-frame-bl-cloud' ), 1, {css: {scale: 1, opacity: 1, }, ease: Elastic.easeOut, delay: 2.3 } );
		TweenMax.to( $( '.third-slide-3-frame-bl-cloud' ), 3.6, {css: {left: "-80%", bottom: "30%", }, ease: Elastic.easeOut, delay: 2.5 } );

		TweenMax.to( $( '.third-slide-3-frame-cr-cloud' ), 1, {css: {scale: 1, opacity: 1, }, ease: Elastic.easeOut, delay: 1.8} );
		TweenMax.to( $( '.third-slide-3-frame-cr-cloud' ), 3.6, {css: {bottom: "50%"}, ease: Elastic.easeOut, delay: 2.78} );

		TweenMax.to( $( '.third-slide-3-frame-br-cloud' ), 1, {css: {scale: 1, opacity: 1, }, ease: Elastic.easeOut, delay: 1.8} );
		TweenMax.to( $( '.third-slide-3-frame-br-cloud' ), 3.1, {css: {bottom: "20%", right: "-80%"}, ease: Elastic.easeOut, delay: 2.8} );

		TweenMax.to( $( '.third-slide-3-frame-sun' ), 2.7, {css: {scale: 1, opacity: 1, left: "-65%", top: "-25%"}, ease: Elastic.easeOut, delay: 2.1} );

		TweenMax.to( $( '.third-slide-description.show-description' ), 1, {css: {top: 0, opacity: 1}, ease: Quint.easeOut, delay: 3 } );
		TweenMax.to( $( '.hide-description' ), 1.1, {css: {top: 100, opacity: 0}, ease: Quint.easeIn, delay: 0 } );
		TweenMax.to( $( '.hide-description' ), 0.2, {css: {top: -100, opacity: 0}, ease: Quint.easeIn, delay: 1.6 } );

	} else {
		$( '.third-slide' ).find( 'img' ).removeAttr( 'style' );
		changeImageSize();
	}

	clearInterval( frameIntervalId );
	frameContainerSize()
	frameIntervalId = setInterval( function (){
		if ( frameCount == slideFrameContainer.length ) {
			clearInterval( frameIntervalId )
		}
		$( '.frame' ).removeClass( 'show-frame' );
		$( slideFrameContainer[frameCount] ).addClass( 'show-frame' )
		frameCount++;
	}, frameShowTime + 100 )
}